diff a/src/java.desktop/share/classes/sun/font/HBShaper.java b/src/java.desktop/share/classes/sun/font/HBShaper.java
--- a/src/java.desktop/share/classes/sun/font/HBShaper.java
+++ b/src/java.desktop/share/classes/sun/font/HBShaper.java
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 2023, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2023, 2024, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.  Oracle designates this
@@ -457,13 +457,11 @@
          * ScopedValue is needed so that call backs into Java during
          * shaping can locate the correct instances of these to query or update.
          * The alternative of creating bound method handles is far too slow.
          */
         ScopedVars vars = new ScopedVars(font2D, fontStrike, gvData, startPt);
-        ScopedValue.where(scopedVars, vars)
-                   .run(() -> {
-
+        ScopedValue.runWhere(scopedVars, vars, () -> {
             try (Arena arena = Arena.ofConfined()) {
 
                 float startX = (float)startPt.getX();
                 float startY = (float)startPt.getY();
 
